# dp 문제
# d[N] = N 자리 이친수의 갯수
# num[N] 에 올수 있는 경우는 1,0 이다
# 각 각의 경우를 생각해보자
# num[N] 이 0 인 경우에는
# num[N-1] 이 0 또는 1 이다.
# 따라서, d[n-1] 의 전체를 가져오면 된다.
# num[N] 이 1 인 경우에는
# num[N-1] 이 무조건 0 이여야한다.
# 이 경우 d[n-1] 을 가져올 수 없다.
# 왜냐하면 d[n-1] 에는 0 또는 1의 경우가 다 합쳐있기 때문이다.
# 따라서 좀 더 앞을 보면
# num[N-1] 이 0 이면, Num[N-2] 는 0 또는 1 이므로
# d[n-2] 을 가져오면 되므로
# d[n] = d[n-1] + d[n-2] 을 쓰면 된다.


d = [0, 1, 1]

n = int(input())
for i in range(3, n+1):
    d.append(d[i - 2] + d[i - 1])

print(d[n])